Subject: [eap] Question on RFC 2716 - PPP EAP TLS Protocol

From: Mahesh Kelkar <[email-masked]>
Date: Tue, 14 Jun 2005 09:08:17 -0700 (PDT)

Section 3.3 on Fragmentation (paragraph 3 first sentence) -
talks about using Multilink PPP fragmentation for the large
EAP-TLS packets ===> 

"If this value is chosen, then fragmentation can be handled
via the multilink PPP fragmentation mechanisms described in
[RFC1990]. While this is desirable, there may be cases in
which multilink or the MRRU LCP option cannot be
negotiated." 

Question:
Multilink PPP fragmentation is only applicable to the PPP
data packets. If EAP is negotiated as a part of the PPP
authentication phase then EAP packets would be considered
as the control traffic. Thus, Multilink PPP fragmentation
cannot be used for fragmenting the EAP-TLS packets and it
must rely on the TLS fragmentation. 

Hence, the statement in the section 3.3 does not hold true.
right? or am I missing something?

Thanks
Mahesh

+++++++++++++++++++++++++++++
 M a h e s h  V  K e l k a r

__________________________________ 
Discover Yahoo! 
Use Yahoo! to plan a weekend, have fun online and more. Check it out! 
http://discover.yahoo.com/
_______________________________________________
eap mailing list
[email-masked]
http://mail.frascone.com/mailman/listinfo/eap